package com.cr.map

/**
 * 操作系统：MAC系统
 * 创建者：王成
 * 创建日期：2023/6/12 17:09
 * 描述：案件点类型
 */
enum class CaseType {
    /**
     * 未上传的案件点
     */
    MediaTypeWjNo,
    /**
     * 已上传的案件点
     */
    MediaTypeWjYes,
    /**
     * 未上传的复飞点
     */
    MediaTypeRepeatFlightNo,
    /**
     * 已上传的复飞点
     */
    MediaTypeRepeatFlightYes,
    /**
     * 未知类型
     */
    Non;

    /**
     * 转换为字符串
     * @return String
     */
    override fun toString(): String {
        when(this){
            MediaTypeWjNo->{
                return "未上报的违建点"
            }
            MediaTypeWjYes->{
                return "已上报的违建点"
            }
            MediaTypeRepeatFlightNo->{
                return "未上报的复飞点"
            }
            MediaTypeRepeatFlightYes->{
                return "已上报的复飞点"
            }
            Non->{
                return "未知"
            }
        }
    }
}